---
lang: en
title: 'API docs: graphql.loopbackcontainer'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.loopbackcontainer.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [LoopBackContainer](./graphql.loopbackcontainer.md)

## LoopBackContainer class

Implementation of `ContainerType` to plug into `type-graphql` as the IoC container

<b>Signature:</b>

```typescript
export declare class LoopBackContainer implements ContainerType 
```
<b>Implements:</b> ContainerType

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(ctx)](./graphql.loopbackcontainer._constructor_.md) |  | Constructs a new instance of the <code>LoopBackContainer</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [ctx](./graphql.loopbackcontainer.ctx.md) |  | [Context](./context.context.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [get(resolverClass, resolverData)](./graphql.loopbackcontainer.get.md) |  |  |


